﻿.about-box{
    display: block;
    width: 100%;
    margin-top: 113px;
    font-size: 0;
}
.about-info{
    width: 100%;
    height: calc(100vh - 88px);
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    position: relative;
}
#story-top{
    position: relative;
    top: -113px;
}
#idea-top,
#technology-top,
#material-top{
    position: relative;
    top: -88px;
}
.about-info:nth-child(1){
    height: calc(100vh - 113px);
}
.about-info-img{
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 50%;
    height: 100%;
    display: inline-block;
    vertical-align: middle;
}
.about-info-text{
    width: 50%;
    height: 100%;
    display: inline-flex;
    vertical-align: middle;
    box-sizing: border-box;
    padding: 0 150px;
    background-color: #fef2d7;
    justify-content:center;
    align-items:center;
}
.about-info-text span{
    font-size: 16px;
    letter-spacing: 1px;
}

.about-info:nth-child(even) {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -webkit-flex-direction: row-reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
}
.about-info:nth-child(even) .about-info-text{
    background-color: #c1d0ba;;
}
.about-info-fixed-btn-box{
    width: 100%;
    display: none;
    text-align: center;
    top: 97px;
    z-index: 3;
    background-color: #fff;
    box-shadow: 0 1px 4px #ddd;
}
#about .about-info-fixed-btn-box.active{
    display: block;
}
.about-info-fixed-btn-box a{
    margin: 0 20px;
    display: inline-block;
    vertical-align: middle;
    font-size: 16px;
    font-weight: bold;
    letter-spacing: 2px;
    color: #555;
    cursor: pointer;
    transition: all .3s linear;
}
.about-info-fixed-btn-box a:hover{
    color: #389cd2;
}
.about-info-material-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    text-align: center;
    position: relative;
}
.about-info-material-edit-box{
    display: block;
    box-sizing: border-box;
    padding: 50px 0;
    font-size: 14px;
    letter-spacing: 1px;
    line-height: 1.6;
}
.about-info-material-edit-box span{
    display: block;
    margin-top: 30px;
}
@media only screen and (max-width: 1200px){
    .about-box{
        margin-top: 103px;
    }
    #story-top{
        position: relative;
        top: -103px;
    }
    #idea-top,
    #technology-top,
    #material-top{
        position: relative;
        top: -78px;
    }
    .about-info-text{
        padding: 0 75px;
    }
    .about-info-material-box{
        width: 95%;
    }
}
@media only screen and (max-width: 1000px){
    .about-box{
        margin-top: 88px;
    }
    #story-top{
        position: relative;
        top: -88px;
    }
    #idea-top,
    #technology-top,
    #material-top{
        position: relative;
        top: -63px;
    }
    .about-info-text{
        padding: 0 40px;
    }
}
@media only screen and (max-width: 800px){
    .about-box{
        margin-top: 54px;
    }
    #story-top{
        position: relative;
        top: -54px;
    }
    #idea-top,
    #technology-top,
    #material-top{
        position: relative;
        top: -33px;
    }
    .about-info{
        height: 400px;
    }
    .about-info:nth-child(1) {
        height: 400px;
    }
    .about-info-text span{
        font-size: 14px;
    }

    #about .about-info-fixed-btn-box.active{
        display: none;
    }
}
@media only screen and (max-width: 550px){
    .about-info{
        height: inherit;
    }
    .about-info:nth-child(1) {
        height: inherit;
    }
    .about-info-img{
        width: 100%;
        height: 400px;
        display: block;
    }
    .about-info-text{
        width: 100%;
        height: 300px;
        padding: 0 20px;
    }

    .about-info-text span{
        font-size: 12px;
    }
}
@media only screen and (max-width: 400px){
    .about-box{
        margin-top: 49px;
    }
    .about-info-img{
        width: 100%;
        height: 300px;
        display: block;
    }
    .about-info-text{
        width: 100%;
        height: 200px;
        padding: 0 10px;
    }
}
/*animation*/
/*<-------------動畫------------->*/

/*@keyframes example {
    0%{

    }
    to {
        
    }
}*/
@keyframes animation_mash {
    0%{
        opacity: 1;
    }
    to {
        
    }
}
@media only screen and (min-width: 1001px){
    .about-quality-img-box,
    .about-info-img,
    .about-info-text{
        opacity: 0;
    }
    .about-info-material-box.active{
        animation: animation_btot 1s ease 1 0s both;
    }
    .about-info.active .about-info-img{
        animation: animation_rtol 1s ease 1 0s both;
    }
    .about-info.active .about-info-text{
        animation: animation_ltor 1s ease 1 0s both;
    }
    .about-info:nth-child(even).active .about-info-img{
        animation: animation_ltor 1s ease 1 0s both;
    }
    .about-info:nth-child(even).active .about-info-text{
        animation: animation_rtol 1s ease 1 0s both;
    }
}